Page 1 of 1

Problems installing Freemind

Posted: Thu Apr 19, 2018 7:49 pm
by Supermerlin
Dear community,
I own a new raspberry pi 3 B+ and I use it as a full desktop computer at home for many normal tasks - and the actual system performance is great.

I have one issue:
I use Freemind for creating mindmaps when structuring problems. I had no problem to install freemind on a raspberry pi 3 (but this was maybe on an earlier Raspbian version).

During installation on the 3B+ I get an error message - but as I am not a linux guy, I can't handle it (my system is completely updated) - if you need more information about my system - well I will need help to get them out of my system.

That's what I get (see below).
Anyone an idea?

Best regards, Clemens

Code: Select all

pi@raspberrypi:~ $ sudo apt-get install freemind
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
The following additional packages will be installed:
  ant ant-optional freemind-doc java-wrappers javahelp2 libapache-pom-java
  libbcel-java libcommons-parent-java libdom4j-java libisorelax-java
  libjaxen-java libjdom1-java libjgoodies-common-java libjgoodies-forms-java
  libjibx1.1-java libmnemonicsetter-java libmsv-java libqdox-java
  librelaxng-datatype-java libxerces2-java libxml-commons-external-java
  libxml-commons-resolver1.1-java libxom-java libxpp2-java libxpp3-java
  simplyhtml
Vorgeschlagene Pakete:
  ant-doc ant-gcj ant-optional-gcj antlr javacc junit junit4 jython
  libbsf-java libcommons-logging-java libcommons-net-java libmail-java
  libjaxp1.3-java libjdepend-java libjsch-java liblog4j1.2-java liboro-java
  libregexp-java libxalan2-java freemind-plugins-help freemind-plugins-svg
  freemind-plugins-script freemind-browser javahelp2-doc libbcel-java-doc
  libdom4j-java-doc libjdom1-java-doc libjgoodies-common-java-doc
  libjgoodies-forms-java-doc libjibx1.1-java-doc | libjibx-java-doc
  libqdox-java-doc libxerces2-java-doc libxerces2-java-gcj
  libxml-commons-resolver1.1-java-doc libxom-java-doc simplyhtml-doc
Empfohlene Pakete:
  libjdom-java
Die folgenden NEUEN Pakete werden installiert:
  ant ant-optional freemind freemind-doc java-wrappers javahelp2
  libapache-pom-java libbcel-java libcommons-parent-java libdom4j-java
  libisorelax-java libjaxen-java libjdom1-java libjgoodies-common-java
  libjgoodies-forms-java libjibx1.1-java libmnemonicsetter-java libmsv-java
  libqdox-java librelaxng-datatype-java libxerces2-java
  libxml-commons-external-java libxml-commons-resolver1.1-java libxom-java
  libxpp2-java libxpp3-java simplyhtml
0 aktualisiert, 27 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
8 nicht vollständig installiert oder entfernt.
Es müssen noch 0 B von 12,9 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 21,0 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] j
Vormals nicht ausgewähltes Paket ant wird gewählt.
(Lese Datenbank ... 130545 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../00-ant_1.9.9-1_all.deb ...
Entpacken von ant (1.9.9-1) ...
Vormals nicht ausgewähltes Paket ant-optional wird gewählt.
Vorbereitung zum Entpacken von .../01-ant-optional_1.9.9-1_all.deb ...
Entpacken von ant-optional (1.9.9-1) ...
Vormals nicht ausgewähltes Paket libjgoodies-common-java wird gewählt.
Vorbereitung zum Entpacken von .../02-libjgoodies-common-java_1.8.1-2_all.deb ...
Entpacken von libjgoodies-common-java (1.8.1-2) ...
Vormals nicht ausgewähltes Paket libjgoodies-forms-java wird gewählt.
Vorbereitung zum Entpacken von .../03-libjgoodies-forms-java_1.9.0-3_all.deb ...
Entpacken von libjgoodies-forms-java (1.9.0-3) ...
Vormals nicht ausgewähltes Paket libapache-pom-java wird gewählt.
Vorbereitung zum Entpacken von .../04-libapache-pom-java_10-2_all.deb ...
Entpacken von libapache-pom-java (10-2) ...
Vormals nicht ausgewähltes Paket libcommons-parent-java wird gewählt.
Vorbereitung zum Entpacken von .../05-libcommons-parent-java_39-3_all.deb ...
Entpacken von libcommons-parent-java (39-3) ...
Vormals nicht ausgewähltes Paket libbcel-java wird gewählt.
Vorbereitung zum Entpacken von .../06-libbcel-java_6.0-1_all.deb ...
Entpacken von libbcel-java (6.0-1) ...
Vormals nicht ausgewähltes Paket libxpp3-java wird gewählt.
Vorbereitung zum Entpacken von .../07-libxpp3-java_1.1.4c-2_all.deb ...
Entpacken von libxpp3-java (1.1.4c-2) ...
Vormals nicht ausgewähltes Paket libjibx1.1-java wird gewählt.
Vorbereitung zum Entpacken von .../08-libjibx1.1-java_1.1.6a-4_all.deb ...
Entpacken von libjibx1.1-java (1.1.6a-4) ...
Vormals nicht ausgewähltes Paket libmnemonicsetter-java wird gewählt.
Vorbereitung zum Entpacken von .../09-libmnemonicsetter-java_0.5-1_all.deb ...
Entpacken von libmnemonicsetter-java (0.5-1) ...
Vormals nicht ausgewähltes Paket simplyhtml wird gewählt.
Vorbereitung zum Entpacken von .../10-simplyhtml_0.16.18-1_all.deb ...
Entpacken von simplyhtml (0.16.18-1) ...
Vormals nicht ausgewähltes Paket freemind wird gewählt.
Vorbereitung zum Entpacken von .../11-freemind_0.9.0+dfsg2-1_all.deb ...
Entpacken von freemind (0.9.0+dfsg2-1) ...
Vormals nicht ausgewähltes Paket freemind-doc wird gewählt.
Vorbereitung zum Entpacken von .../12-freemind-doc_0.9.0+dfsg2-1_all.deb ...
Entpacken von freemind-doc (0.9.0+dfsg2-1) ...
Vormals nicht ausgewähltes Paket java-wrappers wird gewählt.
Vorbereitung zum Entpacken von .../13-java-wrappers_0.1.28_all.deb ...
Entpacken von java-wrappers (0.1.28) ...
Vormals nicht ausgewähltes Paket javahelp2 wird gewählt.
Vorbereitung zum Entpacken von .../14-javahelp2_2.0.05.ds1-9_all.deb ...
Entpacken von javahelp2 (2.0.05.ds1-9) ...
Vormals nicht ausgewähltes Paket libjaxen-java wird gewählt.
Vorbereitung zum Entpacken von .../15-libjaxen-java_1.1.6-1_all.deb ...
Entpacken von libjaxen-java (1.1.6-1) ...
Vormals nicht ausgewähltes Paket libisorelax-java wird gewählt.
Vorbereitung zum Entpacken von .../16-libisorelax-java_20041111-9_all.deb ...
Entpacken von libisorelax-java (20041111-9) ...
Vormals nicht ausgewähltes Paket librelaxng-datatype-java wird gewählt.
Vorbereitung zum Entpacken von .../17-librelaxng-datatype-java_1.0+ds1-3_all.deb ...
Entpacken von librelaxng-datatype-java (1.0+ds1-3) ...
Vormals nicht ausgewähltes Paket libxml-commons-resolver1.1-java wird gewählt.
Vorbereitung zum Entpacken von .../18-libxml-commons-resolver1.1-java_1.2-7_all.deb ...
Entpacken von libxml-commons-resolver1.1-java (1.2-7) ...
Vormals nicht ausgewähltes Paket libxml-commons-external-java wird gewählt.
Vorbereitung zum Entpacken von .../19-libxml-commons-external-java_1.4.01-2_all.deb ...
Entpacken von libxml-commons-external-java (1.4.01-2) ...
Vormals nicht ausgewähltes Paket libxerces2-java wird gewählt.
Vorbereitung zum Entpacken von .../20-libxerces2-java_2.11.0-7_all.deb ...
Entpacken von libxerces2-java (2.11.0-7) ...
Vormals nicht ausgewähltes Paket libmsv-java wird gewählt.
Vorbereitung zum Entpacken von .../21-libmsv-java_2009.1+dfsg1-5_all.deb ...
Entpacken von libmsv-java (2009.1+dfsg1-5) ...
Vormals nicht ausgewähltes Paket libxpp2-java wird gewählt.
Vorbereitung zum Entpacken von .../22-libxpp2-java_2.1.10-7_all.deb ...
Entpacken von libxpp2-java (2.1.10-7) ...
Vormals nicht ausgewähltes Paket libdom4j-java wird gewählt.
Vorbereitung zum Entpacken von .../23-libdom4j-java_1.6.1+dfsg.3-2_all.deb ...
Entpacken von libdom4j-java (1.6.1+dfsg.3-2) ...
Vormals nicht ausgewähltes Paket libjdom1-java wird gewählt.
Vorbereitung zum Entpacken von .../24-libjdom1-java_1.1.3-1_all.deb ...
Entpacken von libjdom1-java (1.1.3-1) ...
Vormals nicht ausgewähltes Paket libqdox-java wird gewählt.
Vorbereitung zum Entpacken von .../25-libqdox-java_1.12.1-2_all.deb ...
Entpacken von libqdox-java (1.12.1-2) ...
Vormals nicht ausgewähltes Paket libxom-java wird gewählt.
Vorbereitung zum Entpacken von .../26-libxom-java_1.2.10-1_all.deb ...
Entpacken von libxom-java (1.2.10-1) ...
ca-certificates-java (20170531+nmu1) wird eingerichtet ...
Error: missing `server' JVM at `/usr/lib/jvm/java-8-openjdk-armhf/jre/lib/arm/server/libjvm.so'.
Please install or use the JRE or JDK that contains these missing components.
dpkg: Fehler beim Bearbeiten des Paketes ca-certificates-java (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 4 zurück
freemind-doc (0.9.0+dfsg2-1) wird eingerichtet ...
Trigger für mime-support (3.60) werden verarbeitet ...
libqdox-java (1.12.1-2) wird eingerichtet ...
Trigger für desktop-file-utils (0.23-1) werden verarbeitet ...
libisorelax-java (20041111-9) wird eingerichtet ...
libxml-commons-external-java (1.4.01-2) wird eingerichtet ...
java-wrappers (0.1.28) wird eingerichtet ...
libxml-commons-resolver1.1-java (1.2-7) wird eingerichtet ...
ant (1.9.9-1) wird eingerichtet ...
javahelp2 (2.0.05.ds1-9) wird eingerichtet ...
libjaxen-java (1.1.6-1) wird eingerichtet ...
libapache-pom-java (10-2) wird eingerichtet ...
Trigger für man-db (2.7.6.1-2) werden verarbeitet ...
Trigger für shared-mime-info (1.8-1) werden verarbeitet ...
Trigger für gnome-menus (3.13.3-9) werden verarbeitet ...
libxpp3-java (1.1.4c-2) wird eingerichtet ...
libxpp2-java (2.1.10-7) wird eingerichtet ...
libjgoodies-common-java (1.8.1-2) wird eingerichtet ...
librelaxng-datatype-java (1.0+ds1-3) wird eingerichtet ...
libmnemonicsetter-java (0.5-1) wird eingerichtet ...
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openjdk-8-jre-headless:armhf:
 openjdk-8-jre-headless:armhf hängt ab von ca-certificates-java; aber:
  Paket ca-certificates-java ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes openjdk-8-jre-headless:armhf (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
simplyhtml (0.16.18-1) wird eingerichtet ...
ant-optional (1.9.9-1) wird eingerichtet ...
libjgoodies-forms-java (1.9.0-3) wird eingerichtet ...
libcommons-parent-java (39-3) wird eingerichtet ...
libxerces2-java (2.11.0-7) wird eingerichtet ...
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von openjdk-8-jre:armhf:
 openjdk-8-jre:armhf hängt ab von openjdk-8-jre-headless (= 8u162-b12-1~deb9u1); aber:
  Paket openjdk-8-jre-headless:armhf ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes openjdk-8-jre:armhf (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
libxom-java (1.2.10-1) wird eingerichtet ...
libjdom1-java (1.1.3-1) wird eingerichtet ...
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von default-jre-headless:
 default-jre-headless hängt ab von openjdk-8-jre-headless; aber:
  Paket openjdk-8-jre-headless:armhf ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes default-jre-headless (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von icedtea-netx:armhf:
 icedtea-netx:armhf hängt ab von openjdk-8-jre; aber:
  Paket openjdk-8-jre:armhf ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes icedtea-netx:armhf (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
libbcel-java (6.0-1) wird eingerichtet ...
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von icedtea-8-plugin:armhf:
 icedtea-8-plugin:armhf hängt ab von openjdk-8-jre; aber:
  Paket openjdk-8-jre:armhf ist noch nicht konfiguriert.
 icedtea-8-plugin:armhf hängt ab von icedtea-netx (= 1.6.2-3.1); aber:
  Paket icedtea-netx:armhf ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes icedtea-8-plugin:armhf (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von default-jre:
 default-jre hängt ab von default-jre-headless (= 2:1.8-58+b2); aber:
  Paket default-jre-headless ist noch nicht konfiguriert.
 default-jre hängt ab von openjdk-8-jre; aber:
  Paket openjdk-8-jre:armhf ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes default-jre (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
libmsv-java (2009.1+dfsg1-5) wird eingerichtet ...
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von default-java-plugin:
 default-java-plugin hängt ab von default-jre (= 2:1.8-58+b2); aber:
  Paket default-jre ist noch nicht konfiguriert.
 default-java-plugin hängt ab von icedtea-8-plugin; aber:
  Paket icedtea-8-plugin:armhf ist noch nicht konfiguriert.

dpkg: Fehler beim Bearbeiten des Paketes default-java-plugin (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
libjibx1.1-java (1.1.6a-4) wird eingerichtet ...
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von freemind:
 freemind hängt ab von default-jre | sun-java6-jre; aber:
  Paket default-jre ist noch nicht konfiguriert.
  Paket sun-java6-jre ist nicht installiert.

dpkg: Fehler beim Bearbeiten des Paketes freemind (--configure):
 Abhängigkeitsprobleme - verbleibt unkonfiguriert
libdom4j-java (1.6.1+dfsg.3-2) wird eingerichtet ...
Trigger für ca-certificates (20161130+nmu1) werden verarbeitet ...
Updating certificates in /etc/ssl/certs...
0 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d...

Error: missing `server' JVM at `/usr/lib/jvm/java-8-openjdk-armhf/jre/lib/arm/server/libjvm.so'.
Please install or use the JRE or JDK that contains these missing components.
E: /etc/ca-certificates/update.d/jks-keystore exited with code 1.
done.
Fehler traten auf beim Bearbeiten von:
 ca-certificates-java
 openjdk-8-jre-headless:armhf
 openjdk-8-jre:armhf
 default-jre-headless
 icedtea-netx:armhf
 icedtea-8-plugin:armhf
 default-jre
 default-java-plugin
 freemind
E: Sub-process /usr/bin/dpkg returned an error code (1)